Updates the article status list with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
article_status_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| article_status_id |
Foreign key of the article_status |
globally unique identifier |
Optionally required : article_status_id required |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| sales_organization_id | globally unique identifier |
Required |
|
| date_start_delivery |
Start delivery date |
date | |
| date_start |
Date start |
date | |
| date_end |
Date end |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "a7b34a1b-4b8f-4e98-9d99-94b615885119",
"article_status_id": "2db787a2-2271-4c5e-9ffe-2bcc0fa74030",
"article_id": "bceea9ab-8297-4f5d-8bc0-e355d8b3c790",
"article_code": "sample string 4",
"sales_organization_id": "b6d16099-0851-4308-af55-f21aa8a80cd3",
"date_start_delivery": "2026-10-28T01:35:52.2972682+00:00",
"date_start": "2026-10-28T01:35:52.2972682+00:00",
"date_end": "2026-10-28T01:35:52.2972682+00:00",
"modified_dateutc": "2026-10-28T01:35:52.2972682+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.